Skip to main content
PUT
/
integrations
/
{slug}
from portkey_ai import Portkey # Initialize the Portkey client portkey = Portkey( api_key="PORTKEY_API_KEY", ) # Update a specific integration integration = portkey.integrations.update( slug="INTEGRATION_SLUG', name="updated-name", note="hello" ) print(integration)
{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

slug
string
required

Body

application/json
name
string

Human-readable name for the integration

Example:

"Production OpenAI"

key
string

API key for the provider (if required)

Example:

"sk-..."

description
string

Optional description of the integration

Example:

"Production OpenAI integration for customer-facing applications"

configurations
OpenAI · object

Provider-specific configuration object

secret_mappings
object[]

Dynamically resolve secrets from secret references at runtime. Valid target_field values are "key" or "configurations." (e.g. "configurations.aws_secret_access_key", "configurations.azure_entra_client_secret"). Each target_field must be unique.

Response

200 - application/json

Successful response

The response is of type object.

Last modified on April 2, 2026